<?php
/* 100 % match */
defined('ABSPATH') or die("you do not have acces to this page!");
/*
 * Unique used names must be unique for this service. It is used to link the service to the cookie.
 * used names should contain all used cookie names
 * if match should be made on partial of cookiename only, prefix with "partial_"
 *
 * */
$this->ignore_cookie_list = array('wp-settings', 'redux_blast', 'wordpress_test_cookie');

$this->known_cookie_keys = array(
    'wordpress' => array(
        'functional' => true,
        'used_names' => array('_wordpress_'),
        'unique_used_names' => array('partial_wordpress_', 'partial_wp-'),
        'label' => "WordPress",
        'privacy_policy_url' => 'https://wordpress.org',
        'purpose' => __("WordPress log in cookie", 'complianz'),
        'storage_duration' => __("30 days", 'complianz'),
        'description' => __("Cookie to keep you logged in.", 'complianz'),
    ),
    'googlemaps' => array(
        'functional' => true,
        'used_names' => array(),
        'unique_used_names' => array(),
        'label' => "Google Maps",
        'privacy_policy_url' => 'https://maps.google.com',
        'purpose' => __("Google Maps cookie", 'complianz'),
        'storage_duration' => __("30 days", 'complianz'),
        'description' => __("Google Maps cookies to track individual users.", 'complianz'),
    ),
    'youtube' => array(
        'functional' => true,
        'used_names' => array(''),
        'unique_used_names' => array(''),
        'label' => "YouTube",
        'privacy_policy_url' => 'https://youtube.com',
        'purpose' => __("Youtube cookie to track individual users", 'complianz'),
        'storage_duration' => __("30 days", 'complianz'),
        'description' => __("Cookies to track individual users.", 'complianz'),
    ),
    'google-analytics' => array(
        'functional' => true,
        'used_names' => array('_ga', '_gid', '_gat'),
        'unique_used_names' => array('partial_gat_UA','_ga', '_gid', '_gat', 'utma__', '__utmb', '__utmc', 'UTMD__', '__utmv', '__utmz'),
        'privacy_policy_url' => 'https://analytics.google.com',
        'label' => "Google Analytics",
        'purpose' => __("Google Analytics web traffic cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This is a cookie used for analyzing web traffic. Used for optimizing the website and the user experience.", 'complianz'),
    ),
    'matomo' => array('advertising' => true,
        'used_names' => array('_pk_ref', '_pk_cvar', '_pk_id', '_pk_ses', '_pk_hsr', 'piwik_ignore'),
        'unique_used_names' => array('partial_pk_', '_pk_ref', '_pk_cvar', '_pk_id', '_pk_ses', '_pk_hsr', 'piwik_ignore'),
        'privacy_policy_url' => 'https://matomo.com',
        'label' => "Matomo",
        'purpose' => __("Matomo visitor tracking cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie tracks visitors.", 'complianz'),
    ),
    'php-session' => array('functional' => true,
        'used_names' => array('PHPSESSID'),
        'unique_used_names' => array('PHPSESSID'),
        'privacy_policy_url' => '',
        'label' => "PHP Session ID",
        'purpose' => __("Session preferences cookie", 'complianz'),
        'storage_duration' => __("only during session", 'complianz'),
        'description' => __("This cookie stores shopping cart data but also recently viewed items or an authentication across multiple pages.", 'complianz'),
    ),
    'stripe' => array('functional' => true,
        'used_names' => array('__stripe_mid', '__stripe_sid'),
        'unique_used_names' => array('partial_stripe'),
        'privacy_policy_url' => 'https://stripe.com/us/privacy/',
        'label' => "Stripe payment gateway",
        'purpose' => __("Stripe payment cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is used to be able to do payments.", 'complianz'),
    ),
    'complianz' => array('functional' => true,
        'used_names' => array('complianz_consent_status', 'complianz_policy_id'),
        'unique_used_names' => array('cookieconsent_status', 'complianz_consent_status', 'complianz_policy_id'),
        'privacy_policy_url' => 'https://complianz.io',
        'label' => "Complianz",
        'purpose' => __("Remember the cookie warning choice", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed to remember the cookie warning choice.", 'complianz'),
    ),
    'add-this' => array('advertising' => false,
        'used_names' => array('__atuvs', '__atuvc', 'psc', 'uid', 'uit', 'uvc', 'cw_id', 'loc', 'mus', 'na_id', 'na_tc', 'uvc', 'uid', 'ouid'),
        'unique_used_names' => array('__atuvs', '__atuvc', 'cw_id', 'na_id'),
        'privacy_policy_url' => 'https://addthis.com',
        'label' => "Add This",
        'purpose' => __("AddThis page visits cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is used to connect with AddThis and deliver AddThis information regarding the pages you visit.", 'complianz'),
    ),


    'add-to-any' => array('advertising' => false,
        'used_names' => array('__cfduid'),
        'unique_used_names' => array('__cfduid'),
        'privacy_policy_url' => 'https://www.addtoany.com/privacy',
        'label' => "Add to any",
        'purpose' => __("Add To Aany social media sharing cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is used to share via social media.", 'complianz'),
    ),
    'adyen' => array('functional' => false,
        'used_names' => array('hppsession'),
        'unique_used_names' => array('hppsession'),
        'privacy_policy_url' => 'https://adyen.com',
        'label' => "Adyen",
        'purpose' => __("Adyen transaction cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie facilitates a smooth transaction.", 'complianz'),
    ),
    'facebook' => array('advertising' => false,
        'used_names' => array('fbm_', 'actppresence', 'sb', 'csm', 'c_user', 'frstxs', 'datr'),
        'unique_used_names' => array('fbm_'),
        'privacy_policy_url' => 'https://facebook.com',
        'label' => "Facebook",
        'purpose' => __("Facebook advertisements cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is used to optimize advertisements on Facebook via e.g. remarketing.", 'complianz'),
    ),
    'criteo' => array('advertising' => false,
        'used_names' => array('hid', 'has_js', 'tk', 'uic', 'ect', 'udc', 'dis', 'udi'),
        'unique_used_names' => array('hid', 'has_js', 'tk', 'uic', 'ect', 'udc', 'dis', 'udi'),
        'privacy_policy_url' => 'https://www.criteo.com/privacy/',
        'label' => "Criteo",
        'purpose' => __("Display advertising cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("Criteo is an online marketing company that marks the visits made by a user to display advertising on other sites. These cookies identify you anonymously, and at no time collect data of a personal nature.", 'complianz'),
    ),
    'google-ads-optimization' => array('advertising' => false,
        'used_names' => array('PREF', 'NID', 'id', '_drt_'),
        'unique_used_names' => array('PREF', 'NID', '_drt_'),
        'privacy_policy_url' => 'https://policies.google.com/privacy',
        'label' => "Google Ads Optimization",
        'purpose' => __("Google advertising cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed by Google and is for advertising purposes.", 'complianz'),
    ),

    'cloudflare' => array('functional' => false,
        'used_names' => array('__cfduid'),
        'unique_used_names' => array('__cfduid'),
        'privacy_policy_url' => '',
        'label' => "Cloudflare",
        'purpose' => __("Security settings cookie", 'complianz'),
        'storage_duration' => __("https://www.cloudflare.com/privacypolicy/", 'complianz'),
        'description' => __("This cookie is used to identify individual clients behind a shared IP address and apply security settings on a per-client basis.", 'complianz'),
    ),

    'salesforce-liveagent' => array('functional' => false,
        'used_names' => array('liveagent_oref', 'liveagent_sid', 'liveagent_vc', 'liveagent_ptid'),
        'unique_used_names' => array('liveagent_oref', 'liveagent_sid', 'liveagent_vc', 'liveagent_ptid'),
        'privacy_policy_url' => 'https://www.salesforce.com/company/privacy/',
        'label' => "Salesforce Liveagent",
        'purpose' => __("Real-time chat cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is used to chat real-time with employees.", 'complianz'),
    ),

    'livechat' => array('functional' => false,
        'used_names' => array('__lc.visitor_id'),
        'unique_used_names' => array('partial__lc.visitor_id"'),
        'privacy_policy_url' => 'https://www.livechat.com/privacy/',
        'label' => "Livechat",
        'purpose' => __("Real-time chat cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is used to chat real-time with customers.", 'complianz'),
    ),

    'doubleclick' => array('advertising' => false,
        'used_names' => array('idIDE', 'test_cookie', 'id', '___gads', '_drt_', 'DSID', 'IDE'),
        'unique_used_names' => array('idIDE', 'DSID'),
        'privacy_policy_url' => 'https://policies.google.com/privacy',
        'label' => "DoubleCLick",
        'purpose' => __("DoubleClick advertisements cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed to deliver relevant advertisements for the visitor.", 'complianz'),
    ),

    'optimizely' => array('analytical' => false,
        'used_names' => array('end_user_id', 'cdnoptimizely', 'ab_optimizely'),
        'unique_used_names' => array('cdnoptimizely', 'ab_optimizely'),
        'privacy_policy_url' => 'https://www.optimizely.com/privacy/',
        'label' => "Optimizely",
        'purpose' => __("Optimizely performance and optimization cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed for performance and optimization purposes.", 'complianz'),
    ),

    'google-adwords' => array('advertising' => false,
        'used_names' => array('NID', 'HSID', 'SSIDAPISID', 'SAPISID', '__ut'),
        'unique_used_names' => array('NID', 'HSID', 'SSIDAPISID', 'SAPISID'),
        'privacy_policy_url' => 'https://policies.google.com/privacy',
        'label' => "Google Adwords",
        'purpose' => __("Advertising and remarketing cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed to serve advertisements by Google and/or remarketing purposes.", 'complianz'),
    ),

    'hotjar' => array('analytical' => false,
        'used_names' => array('_hjUserId', '_hjIncludedInSample', '_hjMinimizedTestersWidgets', '_hjClosedSurveyInvites', '_hjDonePolls', '_hjMinimizedPolls', '_hjDoneTestersWidgets'),
        'unique_used_names' => array('_hjUserId', '_hjIncludedInSample', '_hjMinimizedTestersWidgets', '_hjClosedSurveyInvites', '_hjDonePolls', '_hjMinimizedPolls', '_hjDoneTestersWidgets'),
        'privacy_policy_url' => 'https://www.hotjar.com/legal/policies/privacy',
        'label' => "Hotjar",
        'purpose' => __("Performance and optimization cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed for performance and optimization purposes.", 'complianz'),
    ),

    'visual-website-optimizer' => array('analytical' => false,
        'used_names' => array('_vwo_uuid_v2'),
        'unique_used_names' => array('_vwo_uuid_v2'),
        'privacy_policy_url' => 'https://vwo.com/privacy-policy/',
        'label' => "Visual Website Optimizer",
        'purpose' => __("VWO performance and optimization cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed for performance and optimization purposes.", 'complianz'),
    ),

    'snoobi' => array('analytical' => false,
        'used_names' => array('Snoobisession_adcalls_nl', 'SnoobiID', 'Snoop_testi'),
        'unique_used_names' => array('Snoobisession_adcalls_nl', 'SnoobiID', 'Snoop_testi'),
        'privacy_policy_url' => 'http://snoobi.eu/blog/privacy/privacy-beleid/',
        'label' => "Snoobi",
        'purpose' => __("Snoobi web analytics cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed to get an insight into web analytics.", 'complianz'),
    ),


    'Adcalls' => array('functional' => false,
        'used_names' => array('acalltracker', 'acalltrackersession'),
        'unique_used_names' => array('acalltracker', 'acalltrackersession'),
        'privacy_policy_url' => 'https://adcalls.nl/privacy-statement/',
        'label' => "Adcalls",
        'purpose' => __("Adcalls call tracking cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed to track where an incoming call is coming from.", 'complianz'),
    ),

    'call-tracking-metrics' => array('advertising' => false,
        'used_names' => array('ctm'),
        'unique_used_names' => array('ctm'),
        'privacy_policy_url' => 'https://www.calltrackingmetrics.com/legal/privacy/',
        'label' => "Call Tracking Metrics",
        'purpose' => __("CTM call tracking cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed to track where an incoming call is coming from.", 'complianz'),
    ),

    'tealium' => array('advertising' => false,
        'used_names' => array('utag_main'),
        'unique_used_names' => array('utag_main'),
        'privacy_policy_url' => 'https://tealium.com/privacy/',
        'label' => "Tealium",
        'purpose' => __("Tealium visitor information cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is used to regain visitor information, such as time visited.", 'complianz'),
    ),

    'Adkernel' => array('advertising' => false,
        'used_names' => array('ADK_EX_15', 'ADKUID'),
        'unique_used_names' => array('ADK_EX_15', 'ADKUID'),
        'privacy_policy_url' => 'https://adkernel.com/privacy-policy/',
        'label' => "Adkernel",
        'purpose' => __("Adkernel advertisements cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed to show advertisements.", 'complianz'),
    ),

    'gigya-com' => array('advertising' => false,
        'used_names' => array('gig_hasGmid'),
        'unique_used_names' => array('gig_hasGmid'),
        'privacy_policy_url' => 'https://www.gigya.com/privacy-policy/',
        'label' => "Gigya.com",
        'purpose' => __("Gigya.com customer identification cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is used to identify customers.", 'complianz'),
    ),

    'casalemedia-com' => array('advertising' => false,
        'used_names' => array('CMDD', 'CMRUM3', 'CMSC'),
        'unique_used_names' => array('CMDD', 'CMRUM3', 'CMSC'),
        'privacy_policy_url' => 'http://casalemedia.com/privacy/',
        'label' => "casalemedia.com",
        'purpose' => __("Casalemedia web browsing and advertisement cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is used to monitor your web browsing habit and deliver advertisements based on this.", 'complianz'),
    ),

    'demdex-net' => array('advertising' => false,
        'used_names' => array('dextp'),
        'unique_used_names' => array('dextp'),
        'privacy_policy_url' => 'https://www.adobe.com/privacy/marketing-cloud.html',
        'label' => "demdex.net",
        'purpose' => __("Demdex.net marketing and online profiling cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed to be able to do targeted marketing and online profiling.", 'complianz'),
    ),
    'everesttech-net' => array('advertising' => false,
        'used_names' => array('everest_g_v2', 'everest_session_v2', 'ev_sync_dd'),
        'unique_used_names' => array('everest_g_v2', 'everest_session_v2', 'ev_sync_dd'),
        'privacy_policy_url' => 'https://www.adobe.com/privacy/marketing-cloud.html',
        'label' => "everesttech.net",
        'purpose' => __("Everesttech.net relevant advertisements cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed for showing relevant advertisements.", 'complianz'),
    ),

    'mathtag-com' => array('advertisements' => false,
        'used_names' => array('uuid', 'uuidc', 'HRL8'),
        'unique_used_names' => array('HRL8'),
        'privacy_policy_url' => 'http://www.mediamath.com/privacy-policy/',
        'label' => "Mathtag.com",
        'purpose' => __("Mathtag.com advertisements cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed to be able to deliver advertisements.", 'complianz'),
    ),
    'zopim' => array('functional' => false,
        'used_names' => array('__zlcmid', '__zprivacy'),
        'unique_used_names' => array('__zlcmid', '__zprivacy', '__zlcprivacy'),
        'privacy_policy_url' => 'https://www.zopim.com/privacy.html',
        'label' => "Zopim",
        'purpose' => __("Zopim chat cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie provides a Zopim chat window, to help you as good as possible.", 'complianz'),
    ),

    'linkedin' => array('advertising' => false,
        'used_names' => array('X-LI-IDC'),
        'unique_used_names' => array('X-LI-IDC'),
        'privacy_policy_url' => 'https://www.linkedin.com/legal/privacy-policy',
        'label' => "Linkedin",
        'purpose' => __("LinkedIn sharing cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed by LinkedIn to be able to share content on LinkedIn.", 'complianz'),
    ),

    'twitter' => array('advertising' => false,
        'used_names' => array('metrics_token'),
        'unique_used_names' => array('metrics_token'),
        'privacy_policy_url' => 'https://twitter.com/privacy',
        'label' => "Twitter",
        'purpose' => __("Twitter sharing cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed by Twitter, to be able to share content to Twitter.", 'complianz'),
    ),

    'sharethis' => array('advertising' => false,
        'used_names' => array('__stid', 'uset', '_utmb', '_utmz', '_utmc', '_utma', 'optimizelyPendingLogEvents', 'optimizelyBuckets', 'optimizelySegments', 'optimizelyEndUserId', '__uset', 'stdlxmap', '_stacxiommap', '_stamap', '_stgmap', '_stid', 'UID', 'UIDR'),
        'unique_used_names' => array('__sharethis_cookie_test__'),
        'privacy_policy_url' => 'https://www.sharethis.com/privacy/',
        'label' => "Share this",
        'purpose' => __("Share This social media sharing cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed to make it possible to share content on social media.", 'complianz'),
    ),


    'jetpack' => array('analyzing' => false,
        'used_names' => array('tk_tc', 'tk_qs', 'tk_ai'),
        'unique_used_names' => array('tk_tc', 'tk_qs', 'tk_ai'),
        'privacy_policy_url' => 'https://jetpack.com/support/privacy/',
        'label' => "JetPack",
        'purpose' => __("JetPack visitor tracking cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed by JetPack and used for tracking visitors on the website. ", 'complianz'),
    ),

    'newrelic' => array('functional' => false,
        'used_names' => array('NRMLID', 'NRMPID', 'NRREFL', 'NRREFP', 'optimizelyEndUserId', 'optimizelySegments', 'optimizelyBuckets', '__qca', '__ar_v4', '_biz_uid', '_biz_sid', '_biz_nA', '_biz_pendingA', '_ceg.s', '_ceg.u', 'ajs_user_id', 'ajs_group_id', 'ajs_anonymous_id', '__distillery', '_mkto_trk', 'ei_client_id', 'wcsid', 'hblid', '_oklv', '_okdetect', 'olfsk', '_okbk', '_ok', 'optimizelyPendingLogEvents', '_gal'),
        'unique_used_names' => array('NRMLID', 'NRMPID', 'NRREFL', 'NRREFP'),
        'privacy_policy_url' => 'https://newrelic.com/termsandconditions/privacy',
        'label' => "Newrelic",
        'purpose' => __("Newrelic website performance cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is placed by NewRelic and is used for performance purposes.", 'complianz'),
    ),

    'google' => array('advertising' => false,
        'used_names' => array('OGPC', 'SID', 'HSID', 'SSID', 'APISID', 'SAPISID', 'CONSENT', 'SNID', 'NID'),
        'unique_used_names' => array('OGPC', 'SID', 'HSID', 'SSID', 'APISID', 'SAPISID', 'SNID', 'NID'),
        'privacy_policy_url' => 'https://policies.google.com/privacy',
        'label' => "Google",
        'purpose' => __("Google advertisements cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This is a cookie placed by Google to optimize advertisements.", 'complianz'),
    ),
    'slimstat' => array('advertising' => false,
        'used_names' => array('slimstat_tracking_code'),
        'unique_used_names' => array('slimstat_tracking_code'),
        'privacy_policy_url' => 'https://www.wp-slimstat.com/terms-and-conditions/',
        'label' => "Slimstat Tracking Code",
        'purpose' => __("Slimstat visitor tracking cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie tracks returning customers and registered users.", 'complianz'),
    ),
    'wpdiscuz_last_visit' => array('functional' => false,
        'used_names' => array('wpdiscuz_last_visit'),
        'unique_used_names' => array('wpdiscuz_last_visit'),
        'privacy_policy_url' => 'https://wpdiscuz.com/privacy-policy/',
        'label' => "WP Discuz",
        'purpose' => __("", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is used to determine when was your last visit, for WP Discuz.", 'complianz'),
    ),
    'wpfront-notification-bar' => array('functional' => true,
        'used_names' => array('wpfront-notification-bar-landingpage'),
        'unique_used_names' => array('wpfront-notification-bar-landingpage'),
        'privacy_policy_url' => 'https://wpfront.com/privacy-policy/',
        'label' => "WPFront Notification Bar",
        'purpose' => __("WPFront nofication bar cookie", 'complianz'),
        'description' => __("This cookie is used to place a notification bar of WPFront.", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
    ),
    'wordpress_test_cookie' => array('functional' => true,
        'used_names' => array('wordpress_test_cookie'),
        'unique_used_names' => array('wordpress_test_cookie'),
        'privacy_policy_url' => 'https://wordpress.org/about/privacy/',
        'label' => "WordPress Test Cookie",
        'purpose' => __("WordPress test cookie", 'complianz'),
        'storage_duration' => __("365 days", 'complianz'),
        'description' => __("This cookie is used to test whether cookies can be placed.", 'complianz'),
    ),
);
